## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pykdumpfile
Version:        0.5.5.1
Release:        %autorelease
Summary:        Python bindings to libkdumpfile

License:        GPL-2.0-or-later
URL:            https://github.com/ptesarik/pykdumpfile
Source:         %{pypi_source pykdumpfile}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  gcc
BuildRequires:  libkdumpfile-devel


%global _description %{expand:
Bindings to the libkdumpfile shared library.}

%description %_description

%package -n     python3-pykdumpfile
Summary:        %{summary}
# provide an upgrade path until Fedora 41 is EOL
# we don't need to handle EL since python3-libkdumpfile is not published
%if 0%{?fedora} && 0%{?fedora} <= 43
Obsoletes:      python3-libkdumpfile < 0.5.5-1
%endif

%description -n python3-pykdumpfile %_description


%prep
%autosetup -p1 -n pykdumpfile-%{version}
# These are meant for Python 2 and wont' byte-compile
rm {addrxlat,kdumpfile}/defs_py2.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l addrxlat kdumpfile


%check
%pyproject_check_import
%pytest -v


%files -n python3-pykdumpfile -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/_addrxlat%{python3_ext_suffix}
%{python3_sitearch}/_kdumpfile%{python3_ext_suffix}


%changelog
## START: Generated by rpmautospec
* Thu Jan 23 2025 Michel Lind <salimma@fedoraproject.org> - 0.5.5.1-2
- Use python3_ext_suffix, hat tip to Miro Hrončok

* Thu Jan 23 2025 Michel Lind <salimma@fedoraproject.org> - 0.5.5.1-1
- Initial package; Resolves: RHBZ#2339856
## END: Generated by rpmautospec
